<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- Copyright (C) 2015 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<!-- Copyright (C) 2018-2019 NVIDIA Corporation.  All rights reserved. -->

<audioPolicyConfiguration version="1.0" xmlns:xi="http://www.w3.org/2001/XInclude">
    <!-- version section contains a “version” tag in the form “major.minor” e.g version=”1.0” -->

    <!-- Global configuration Decalaration -->
    <!--globalConfiguration speaker_drc_enabled="true"/-->


    <!-- Modules section:
        There is one section per audio HW module present on the platform.
        Each module section will contains two mandator  y tags for audio HAL “halVersion” and “name”.
        The module names are the same as in current .conf file:
                “primary”, “A2DP”, “remote_submix”, “USB”
        Each module will contain the following sections:
        “devicePorts”: a list of device descriptors for all input and output devices accessible via this
        module.
        This contains both permanently attached devices and removable devices.
        “mixPorts”: listing all output and input streams exposed by the audio HAL
        “routes”: list of possible connections between input and output devices or between stream and
        devices.
            "route": is defined by an attribute:
                -"type": <mux|mix> means all sources are mutual exclusive (mux) or can be mixed (mix)
                -"sink": the sink involved in this route
                -"sources": all the sources than can be connected to the sink via vis route
        “attachedDevices”: permanently attached devices.
        The attachedDevices section is a list of devices names. The names correspond to device names
        defined in <devicePorts> section.
        “defaultOutputDevice”: device to be used by default when no policy rule applies
    -->
    <modules>
        <!-- Primary Audio HAL -->
        <module name="primary" halVersion="2.0">
            <attachedDevices>
                <item>Speaker</item>
            </attachedDevices>
            <defaultOutputDevice>Speaker</defaultOutputDevice>

            <!-- Primary HAL mixPorts and devicePorts -->
            <xi:include href="primary_module_mixports.xml"/>
            <xi:include href="primary_module_deviceports.xml"/>

            <!-- route declaration, i.e. list all available sources for a given sink -->
            <routes>
                <!-- Playback routes -->
                <route type="mix" sink="Speaker"
                       sources="primary_output"/>
                <route type="mix" sink="Wired Headset"
                       sources="primary_output"/>
                <route type="mix" sink="Wired Headphones"
                       sources="primary_output"/>
                <route type="mix" sink="BT SCO"
                       sources="primary_output"/>
                <route type="mix" sink="BT SCO Headset"
                       sources="primary_output"/>
                <route type="mix" sink="BT SCO Car Kit"
                       sources="primary_output"/>
                <route type="mix" sink="AUX Digital"
                       sources="primary_output,multichannel,passthrough,hra"/>
                <route type="mix" sink="Digital Dock HS"
                       sources="primary_output"/>

                <!-- Capture routes -->
                <route type="mix" sink="primary_input"
                       sources="BT SCO Headset Mic,Digital Dock HS Mic,AudioIP-In"/>
            </routes>

        </module>

        <!-- A2dp Audio HAL -->
        <module name="a2dp" halVersion="2.0">
            <xi:include href="a2dp_module_mixports.xml"/>
            <xi:include href="a2dp_module_deviceports.xml"/>
            <routes>
                <route type="mix" sink="BT A2DP Out"
                       sources="a2dp output"/>
                <route type="mix" sink="BT A2DP Headphones"
                       sources="a2dp output"/>
                <route type="mix" sink="BT A2DP Speaker"
                       sources="a2dp output"/>
            </routes>
        </module>

        <!-- Usb Audio HAL -->
        <module name="usb" halVersion="2.0">
            <xi:include href="usb_module_mixports.xml"/>
            <xi:include href="usb_module_deviceports.xml"/>
            <routes>
                <route type="mix" sink="USB Host Out"
                       sources="usb_accessory output"/>
                <route type="mix" sink="USB Device Out"
                       sources="usb_device output,usb_passthrough"/>
                <route type="mix" sink="USB Headset Out"
                       sources="usb_device output,usb_passthrough"/>
                <route type="mix" sink="usb_device input"
                       sources="USB Device In,USB Headset In"/>
            </routes>
        </module>

        <!-- Remote Submix Audio HAL -->
        <xi:include href="r_submix_audio_policy_configuration.xml"/>
    </modules>
    <!-- End of Modules section -->

    <!-- Volume section -->

    <xi:include href="ne_audio_policy_volumes.xml"/>
    <xi:include href="ne_default_volume_tables.xml"/>

    <!-- End of Volume section -->

</audioPolicyConfiguration>
